- Sends a transaction receipt by SMS
One-Step Operations Workflow
Two-Step Operations Workflow
Lists process transactions
Retrieves a transaction by ID
Authorizes a transaction
Verifies a card
Creates a transaction
Captures a transaction
Reverses a transaction
Credits from a transaction without reference
Settles transactions
Voids a transaction
Adjusts for tips
Calculates transaction amounts
Sends a transaction recei...
POST {{baseURL}}/pay-api/v1/transactions/{{transactionId}}/send-transaction-receipt-by-sms
This endpoint sends a transaction receipt to the customer by SMS.
See Also:
To retrieve a transaction by ID, see GET /pay-api/v1/transactions/{transactionId}.
To list transactions, see GET /pay-api/v1/transactions.
To create a transaction, see POST /pay-api/v1/transactions/sale.
Security
Bearer
Identifies the customer's phone number.
Example: +15551234567
Example:"+15551234567"
- Mock serverhttps://developer.flute.com/_mock/api-reference/pay-api/v1/transactions/{id}/send-transaction-receipt-by-sms
- Sandbox environmenthttps://sandbox.api.flute.com/pay-api/v1/transactions/{id}/send-transaction-receipt-by-sms
- Production environmenthttps://api.flute.com/pay-api/v1/transactions/{id}/send-transaction-receipt-by-sms
Sends the receipt for a transaction to a mobile phone.
The customer agreed to receive the SMS, so customerConsent is true.
POST /pay-api/v1/transactions/8a4f1c27-6d93-4e05-b2a8-1f7c3e9d5b60/send-transaction-receipt-by-sms HTTP/1.1
Host: sandbox.api.flute.com
Authorization: Bearer <YOUR_JWT_HERE>
Accept: application/json
Content-Type: application/json
{
"phoneNumber": "+14155558787",
"customerConsent": true
}OK
Identifies the customer's phone number.
Example: +15551234567
Example:"+15551234567"
Response
{ "phoneNumber": "+15551234567", "customerConsent": true }